# PhasicFlow: timeFolder Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

timeFolder Class Reference
Collaboration diagram for timeFolder:
[legend]

## Public Member Functions

| timeFolder (const systemControl &control)
| timeFolder (const fileSystem &path)
real | time () const
fileSystem | folder () const
word | timeName () const
fileSystem | localFolder () const
bool | operator++ (int)
| operator bool () const
bool | operator! () const
void | rewind ()
bool | finished () const
real | startTime () const
real | endTime () const

## Protected Attributes

timeList | folders_
timeList::iterator | currentFolder_

## Private Types

using | timeList = Map< real, fileSystem >

## Detailed Description

Definition at line 32 of file timeFolder.hpp.

## Member Typedef Documentation

## timeList

using timeList = Map<real, fileSystem>

private

Definition at line 34 of file timeFolder.hpp.

## Constructor & Destructor Documentation

## timeFolder() [1/2]

timeFolder | ( | const systemControl & | control | ) |

inline

Definition at line 44 of file timeFolder.hpp.

## timeFolder() [2/2]

timeFolder | ( | const fileSystem & | path | ) |

inline

Definition at line 49 of file timeFolder.hpp.

## Member Function Documentation

## time()

real time | ( |  | ) | const

inline

Definition at line 57 of file timeFolder.hpp.

References timeFolder::currentFolder_.

Referenced by main(), and postprocess::processTimeFolder().

Here is the caller graph for this function:

## folder()

fileSystem folder | ( |  | ) | const

inline

Definition at line 62 of file timeFolder.hpp.

References timeFolder::currentFolder_.

Referenced by timeFolder::timeName().

Here is the caller graph for this function:

## timeName()

word timeName | ( |  | ) | const

inline

Definition at line 67 of file timeFolder.hpp.

References timeFolder::folder(), and pFlow::tailName().

Referenced by timeFolder::localFolder(), and postprocess::processTimeFolder().

Here is the call graph for this function:
Here is the caller graph for this function:

## localFolder()

fileSystem localFolder | ( |  | ) | const

inline

Definition at line 73 of file timeFolder.hpp.

References timeFolder::timeName().

Referenced by postprocess::processTimeFolder().

Here is the call graph for this function:
Here is the caller graph for this function:

## operator++()

bool operator++ | ( | int |  | ) |

inline

Definition at line 78 of file timeFolder.hpp.

References timeFolder::currentFolder_, and timeFolder::finished().

Here is the call graph for this function:

## operator bool()

operator bool | ( |  | ) | const

inlineexplicit

Definition at line 84 of file timeFolder.hpp.

References timeFolder::finished().

Here is the call graph for this function:

## operator!()

bool operator! | ( |  | ) | const

inline

Definition at line 89 of file timeFolder.hpp.

References timeFolder::finished().

Here is the call graph for this function:

## rewind()

void rewind | ( |  | ) |

inline

Definition at line 94 of file timeFolder.hpp.

References timeFolder::currentFolder_, and timeFolder::folders_.

## finished()

bool finished | ( |  | ) | const

inline

Definition at line 99 of file timeFolder.hpp.

References timeFolder::currentFolder_, and timeFolder::folders_.

Referenced by timeFolder::operator bool(), timeFolder::operator!(), and timeFolder::operator++().

Here is the caller graph for this function:

## startTime()

real startTime | ( |  | ) | const

inline

Definition at line 105 of file timeFolder.hpp.

References timeFolder::folders_.

Referenced by main(), and readControlDict::read().

Here is the caller graph for this function:

## endTime()

real endTime | ( |  | ) | const

inline

Definition at line 111 of file timeFolder.hpp.

References timeFolder::folders_.

Referenced by main(), and readControlDict::read().

Here is the caller graph for this function:

## Member Data Documentation

## folders_

timeList folders_

protected

Definition at line 37 of file timeFolder.hpp.

Referenced by timeFolder::endTime(), timeFolder::finished(), timeFolder::rewind(), and timeFolder::startTime().

## currentFolder_

timeList::iterator currentFolder_

protected

Definition at line 39 of file timeFolder.hpp.

Referenced by timeFolder::finished(), timeFolder::folder(), timeFolder::operator++(), timeFolder::rewind(), and timeFolder::time().

The documentation for this class was generated from the following file:

- src/phasicFlow/repository/systemControl/timeFolder.hpp